Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Unable to create schema - Pandora ver. 7.0NG.712 on LTS 16.04
#1
I'm trying to install Pandora ver. 7.0NG.712 on LTS 16.04. Everything is going well until the setup fails on "Creating schema" and "Populating database" on Step 5 of 6 (http://10.160.80.23/pandora_console/install.php?step=4). I've verified that I'm able to login to mysql as root. I have enabled general logging on mysql and the logs look clean with no permission errors. I don't see errors in the mysql error log either. I've attached the screenshot as well. The only other thing that I've done that wasn't documented was uninstall php7 and reinstalled php5.6 to meet that php version requirement. Here was my procedure for doing that.

1. Remove php7.0 and replace it with php5.6
 
apt-get purge `dpkg -l | grep php| awk '{print $2}' |tr "\n" " "`
add-apt-repository ppa:ondrej/php
apt-get update
apt-get install php5.6
php -v
 
2. Install Server Dependencies (Minus wmi-client as it fails on LTS 16.04)
 
apt-get install snmp snmpd libtime-format-perl libxml-simple-perl libdbi-perl libnetaddr-ip-perl \
libhtml-parser-perl wmi-client xprobe2 nmap traceroute libio-socket-inet6-perl libhtml-tree-perl \
libsnmp-perl snmp-mibs-downloader libio-socket-multicast-perl libsnmp-perl libjson-perl libencode-locale-perl
 
3. Install Console Dependencies
 
apt-get install php5.6 libapache2-mod-php5.6 apache2 mysql-server php5.6-gd php5.6-mysql php-pear php5.6-snmp \
php-gettext graphviz mysql-client php5.6-curl php5.6-xmlrpc php5.6-ldap php-db php-gettext php5.6-mbstring php5.6-zip

I would really like to try Pandora to replace Zenoss. Any help is appreciated!

Thanks,

Jared


Attached Files


.jpg   PandoraSetupError.jpg (Size: 174.22 KB / Downloads: 4)
 Reply
#2
I assume you get an error about Blob,......

Edit /etc/MySQL/my.cnf

add
[mysqld]
sql_mode=NO_ENGINE_SUBSTITUTION

restart mysqld (.etc/init.d/MySQL restart)

This info is in the FAQ (found it there after digging on the forum as well)

You could have saved yourself a lot of typing by adding the artica repo though :-) I left php7 installed as it was a dependency for pandorafms-console.

You will need to install MySQL-utilities, net-tools and php5.6-mbstring as well.
 Reply
#3
Thank you for your quick and helpful response. Adding that to my my.cnf made it work like a champ!
 Reply


Users browsing this thread: 1 Guest(s)


(c) 2006-2018 Artica Soluciones Tecnológicas. Contents of this wiki are under Create Common Attribution v3 licence. | pandorafms.com | pandorafms.org

Theme © MyBB Themes